---
# Run through all tasks to setup machines

- hosts: backtop
  gather_facts: true
  order: inventory
  vars:
    executable_temp_dir: /tmp
    awscli_install_dir: /opt/aws-cli/
    vault_version: 1.9.3
    swap_file_path: /swapfile
    swap_file_size_mb: 8192

  roles:
    - role: swap
      tags: ["swap"]

    - role: hardware_tools
      tags: ["hardware_tools"]

    - role: developer_tools
      tags: ["developer_tools"]

    - role: iscsi_freenas
      tags: ["iscsi_freenas"]

    - role: dconf
      tags: ["dconf"]

    - role: dnet_ca
      tags: ["dnet_ca"]

    - role: openssh
      tags: ["openssh"]
